SchemaElementPairRelationship
Keywords: uk.ac.ic.doc.automed.matching.SchemaElementPairRelationship class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class SchemaElementPairRelationship

    java.lang.Object
      uk.ac.ic.doc.automed.matching.SchemaElementPair
          uk.ac.ic.doc.automed.matching.SchemaElementPairRelationship

    public class SchemaElementPairRelationship

extends SchemaElementPair

The SchemaElementPairRelationship class that represents a pair of schema elements and their relationship. Note that the order of the `SchemaElement` objects in the pair is important, since the semantic relationship is directed.

See Also:
  `SemanticRelationship`

Field Summary
`static int[]` | `indeces`
`static SemanticRelationship[]` | `rels`

Constructor Summary
`SchemaElementPairRelationship(SchemaElement elementA, SchemaElement elementB, SemanticRelationship rel)` Constructs a `SchemaElementPairRelationship` object.

Method Summary
`java.lang.Object` | `clone()` Creates a clone of the `SchemaElementPairRelationship` object.
`SemanticRelationship` | `getRelationship()` Returns the semantic relationship between the first and the second element in the pair.
`void` | `setRelationship(SemanticRelationship sr)` Sets the semantic relationship between the first and the second element in the pair.
`java.lang.String` | `toString()`

Methods inherited from class uk.ac.ic.doc.automed.matching.SchemaElementPair
`equals, getElement, getFirstElement, getSecondElement, hashCode, setFirstElement, setSecondElement`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### indeces

    public static final int[] indeces

### rels

    public static final SemanticRelationship[] rels

Constructor Detail

### SchemaElementPairRelationship

    public SchemaElementPairRelationship(SchemaElement elementA,
                                         SchemaElement elementB,
                                         SemanticRelationship rel)

  Constructs a `SchemaElementPairRelationship` object. The semantic relationship is directed and its direction is from the first element to the second element of the pair.

  Parameters:
    `elementA` - the first element of the pair
    `elementB` - the second element of the pair
    `rel` - the relationship between the two elements

Method Detail

### getRelationship

    public SemanticRelationship getRelationship()

  Returns the semantic relationship between the first and the second element in the pair.

  Returns:
    the semantic relationship between the first and the second element in the pair.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SchemaElementPair`

### setRelationship

    public void setRelationship(SemanticRelationship sr)

  Sets the semantic relationship between the first and the second element in the pair.

  Parameters:
    `sr` - the semantic relationship between the first and the second element in the pair.

### clone

    public java.lang.Object clone()

  Creates a clone of the `SchemaElementPairRelationship` object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of the `SchemaElementPairRelationship` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD